test-framework-0.8.1.1: Framework for running and organising tests, with HUnit and QuickCheck support

Safe Haskell | Safe
Language | Haskell98

Test.Framework.Seed

Synopsis

- data Seed
  - = FixedSeed Int
  - | RandomSeed
- newSeededStdGen :: Seed -> IO (StdGen, Int)
- newStdGenWithKnownSeed :: IO (StdGen, Int)

# Documentation

data Seed #

Constructors

FixedSeed Int |
RandomSeed |

Instances

Read Seed # |
Methods readsPrec :: Int -> ReadS Seed # readList :: ReadS [Seed] # readPrec :: ReadPrec Seed # readListPrec :: ReadPrec [Seed] #
Show Seed # |
Methods showsPrec :: Int -> Seed -> ShowS # show :: Seed -> String # showList :: [Seed] -> ShowS #

newSeededStdGen :: Seed -> IO (StdGen, Int) #

Given a `Seed`, returns a new random number generator based on that seed and the actual numeric seed that was used to build that generator, so it can be recreated.

newStdGenWithKnownSeed :: IO (StdGen, Int) #